"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.upsertSubComment = exports.listSubComment = exports.deleteSubComment = void 0;

require("core-js/modules/es.promise.js");

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

var _graphqlClient = require("./graphqlClient");

var _templateObject, _templateObject2, _templateObject3;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

const listSubComment = async variables => {
  const query = (0, _graphqlTag.default)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n        query($comment_id: ID!, $name: String, $args: JSON){\n    list_subComment(\n        comment_id: $comment_id\n        name: $name\n        args: $args\n    ) {\n        data{\n            id\n            content\n            created_at\n            people{id, name, avatar}\n            total_like\n            comment{id}\n        }\n        pageInfo\n    }\n}"])));
  return await _graphqlClient.graphqlClient.query({
    query,
    variables
  });
};

exports.listSubComment = listSubComment;

const upsertSubComment = async variables => {
  const mutationAPI = () => {
    const mutation = (0, _graphqlTag.default)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n        mutation($id: ID, $app_id: ID!, $unique_id: ID, $comment_id: ID!, $content: String!, $people:JSON!) {\n  upsert_subComment(\n    input: {\n      id: $id,\n      app_id: $app_id,\n      unique_id: $unique_id,\n      comment_id: $comment_id,\n      content: $content,\n      people: $people\n    }\n  ) {\n    id\n    content\n    created_at\n    updated_at\n    people{id,name,avatar}\n    comment{id}\n  }\n}\n"])));
    return _graphqlClient.graphqlClient.mutate({
      mutation,
      variables
    });
  };

  try {
    return await mutationAPI().then(res => {
      return res;
    });
  } catch (e) {// console.log('e', e)
  }
};

exports.upsertSubComment = upsertSubComment;

const deleteSubComment = async variables => {
  const mutationAPI = () => {
    const mutation = (0, _graphqlTag.default)(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n        mutation($id: ID, $ids: [ID]) {\n  delete_subComment(\n    input: {\n      id: $id,\n      ids: $ids,\n    }\n  )\n}\n"])));
    return _graphqlClient.graphqlClient.mutate({
      mutation,
      variables
    });
  };

  try {
    return await mutationAPI().then(res => {
      return res;
    });
  } catch (e) {// console.log('e', e)
  }
};

exports.deleteSubComment = deleteSubComment;